<template>
  <div
    class="container-fluid h-100 m-0 overflow-auto"
    id="backdrop"
    @click.self="closeModal"
  >
    <div class="row h-100">
      <div class="col-12 my-3 m-md-0 col-lg-9">
        <CertificateImage :athleteId="athleteId" @closeModal="closeModal" />
      </div>
      <div class="col-12 my-3 m-md-0 col-lg-3">
        <CertificateInfo :athleteId="athleteId" />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import CertificateImage from "./CertificateImage.vue";
import CertificateInfo from "./CertificateInfo.vue";

export default defineComponent({
  props: {
    athleteId: Number,
  },
  components: {
    CertificateImage,
    CertificateInfo,
  },
  methods: {
    closeModal() {
      this.$emit("closeModal");
    },
  },
  watch: {
    athleteId() {
      console.log(this.athleteId);
    },
  },
});
</script>

<style scoped>
#backdrop {
  top: 0;
  position: fixed;
  background: rgba(0, 0, 0, 0.5);
  width: 100vw;
  height: 100vh;
  z-index: 10001;
  margin: 0;
}
</style>
